package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchSystemParamsApi;
import com.docus.server.dto.scheduling.management.SchSystemParamsDTO;
import com.docus.server.service.ISchSystemParamsService;
import com.docus.server.vo.scheduling.management.SchSystemParamsVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 系统参数表 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@RestController
public class SchSystemParamsController implements SchSystemParamsApi {
    @Resource
    private ISchSystemParamsService iSchSystemParamsService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchSystemParamsVO findById(String id) {
        return iSchSystemParamsService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchSystemParamsVO> search(SearchRequest searchRequest) {
        return iSchSystemParamsService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param schSystemParamsDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchSystemParamsDTO schSystemParamsDTO) {
        return iSchSystemParamsService.add(schSystemParamsDTO);
    }

    /**
     * 编辑
     *
     * @param schSystemParamsDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchSystemParamsDTO schSystemParamsDTO) {
        return iSchSystemParamsService.edit(schSystemParamsDTO);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchSystemParamsService.delete(ids);
    }
}
